QGIS Application - Feature request #10542

Allow Color change of SVGs in Print Composer Picture Items

2014-06-11 03:07 AM - Alexandre Neto

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 18950
Description

It would be nice to be able to change outline and fill colors of the Composers Picture ltems. This would be possible for "prepared" SVGs,

just like in the map canvas layer symbols.

This would allow adjusting the pictures colors (e.g. North Arrows) to the current map color set, without the need to create a new SVG for

it.

Related issues:

Related to QGIS Application - Bug report # 14385: QGIS 2.14 SVG in Map Composer Closed

2016-02-26

Associated revisions

Revision ed3cb120 - 2016-03-07 10:15 PM - Nyall Dawson

[FEATURE] Parameterized svg support for composer svg images

This makes it possible to change SVG fill/outline color and outline

width when using parameterised SVG files such as those included

with QGIS (fix #10542)

Revision Ocdfca7d - 2016-03-20 06:55 PM - Nyall Dawson

[FEATURE] Parameterized svg support for composer svg images

This makes it possible to change SVG fill/outline color and outline

width when using parameterised SVG files such as those included
with QGIS (fix #10542)

(cherry-picked from ed3cb120087414906fd409049081950137116e1a)

History

#1 - 2016-03-07 02:35 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"ed3cb120087414906fd409049081950137116e1a".
